package com.zipcodewilmington.phonebook;
import org.junit.Assert;
import org.junit.Test;
/**
 * Created by leon on 1/23/18.
 */
public class PhoneBookTest {


    @Test
    public void hasEntryphone() {

        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phonenumber = "234-232-2311";
        //when
        book.add(name, phonenumber);
        boolean actualOutput = book.hasEntry(name);
        //then
        Assert.assertTrue(actualOutput);


    }


    @Test
    public void add() {

        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phonenumber = "234-232-2311";
        book.add(name, phonenumber);

        //then
        Assert.assertEquals(1, book.getContacts().size());
    }

    @Test
    public void getContact_test() {

        PhoneBook book = new PhoneBook();
        String name = "Whitney";
        String phonenumber = "123-331-3231";
        book.add(name, phonenumber);
        String actual = book.getContact(name, phonenumber);
        String expected = name;
        Assert.assertEquals(expected, actual);

    }

    @Test
    public void reverseLookup_test() {
        PhoneBook book = new PhoneBook();
        String name = "Whitney";
        String phonenumber = "231-131-3257";
        book.add(name, phonenumber);
        String actual = book.reverselookup(phonenumber);
        String expect = name;

        Assert.assertEquals(expect, actual);

    }

    @Test
    public void remove_Test() {
        PhoneBook book = new PhoneBook();
        String name = "AA";
        String phonenumber = "";
        book.add(name, phonenumber);
        book.remove(name);
        boolean actual = book.hasEntry(name);

        Assert.assertFalse(actual);

    }

    @Test
    public void ListNamesandNumbers() {
        PhoneBook book = new PhoneBook();
        String name = "";
        String Phonenumber = "";
        book.add(name, Phonenumber);
        String actual = book.getContact(name, Phonenumber);
        String expected = Phonenumber;
        Assert.assertEquals(expected, actual);

    }
}





